buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ed Smiley <>
Subject Issue BUILDR-549
Date Tue, 16 Nov 2010 19:47:57 GMT
If anybody else is having the cannot create a JVM error after upgrading Java
on a Mac, and you are on Jira, please vote for issue 549

Also, there is a workaround described in that bug, try it and see if it
helps you until a regular patch is available.  It worked for me.
Essentially it is (for Buildr 1.4.3):
1. Finding the most recent version of the header files in Finder and putting
them into $JAVA_HOME/include (these will probably be the correct ones--the
latest Java installation removes them!).  Make a backup!
2. uninstalling the RJB gem and installing version 1.3.3 only
3. editing the* buildr-1.4.3.gemspec  *file to require a version GREATER
THAN 1.25, instead of 1.2.5. (Replacing '= 1.2.5' with '>= 1.2.5' here's the
list of changes:

/Library/Ruby/Gems/1.8/specifications $ grep rjb buildr-1.4.3.gemspec | grep

      s.add_runtime_dependency(%q<*rjb*>, ["*>=* 1.2.5"])

      s.add_dependency(%q<*rjb*>, ["*>=* 1.2.5"])

    s.add_dependency(%q<*rjb*>, ["*>=* 1.2.5"])

This worked for me.


  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message